Mail archive
alpine-aports

[alpine-aports] [PATCH] testing/apk-file: new aport

From: Drew DeVault <sir_at_cmpwn.com>
Date: Sat, 9 Dec 2017 19:17:20 -0500

https://github.com/jessfraz/apk-file
Search apk packages via the command line.
---
 testing/apk-file/APKBUILD | 26 ++++++++++++++++++++++++++
 1 file changed, 26 insertions(+)
 create mode 100644 testing/apk-file/APKBUILD
diff --git a/testing/apk-file/APKBUILD b/testing/apk-file/APKBUILD
new file mode 100644
index 0000000000..c077d891db
--- /dev/null
+++ b/testing/apk-file/APKBUILD
_at_@ -0,0 +1,26 @@
+# Maintainer: Drew DeVault <sir_at_cmpwn.com>
+pkgname=apk-file
+pkgver=0.1.3
+pkgrel=0
+pkgdesc="Search apk packages via the command line."
+url="https://github.com/jessfraz/apk-file"
+arch="all"
+license="MIT"
+makedepends="go-tools"
+source="${pkgname}-${pkgver}.tar.gz::https://github.com/jessfraz/${pkgname}/archive/v${pkgver}.tar.gz"
+builddir="$srcdir/$pkgname-$pkgver"
+options="$options !check"
+
+build() {
+    export GOPATH="$startdir"
+	cd "$builddir"
+    go get -d -v || return 1
+    go build || return 1
+}
+
+package() {
+	cd "$builddir"
+    install -Dm755 $pkgname-$pkgver "$pkgdir"/usr/bin/$pkgname
+}
+
+sha512sums="ff688ed064e961321ef984f7cbd2dd6013bbdd7485aa00303039857ce96e5fcda8979e8102f29a66951c377a8f71780218a023833f6eebdf901ffced0ded0d19  apk-file-0.1.3.tar.gz"
-- 
2.15.0
---
Unsubscribe:  alpine-aports+unsubscribe_at_lists.alpinelinux.org
Help:         alpine-aports+help_at_lists.alpinelinux.org
---
Received on Sat Dec 09 2017 - 19:17:20 GMT